import { PathEventEmitter } from '@ztimson/utils';
import { Api } from './api';
export type Message = {
    _id?: string;
    _createdBy?: string;
    _createdDate?: Date;
    to: string;
    from?: string;
    body: {
        [key: string]: string;
    } | string;
};
export declare class Phone extends PathEventEmitter {
    private readonly api;
    constructor(api: Api | string);
    sms(message: Message): import('@ztimson/utils').PromiseProgress<any>;
    voice(message: Message): import('@ztimson/utils').PromiseProgress<any>;
}
//# sourceMappingURL=phone.d.ts.map